# Specifics API

## Platform

### User

Platform have to provide an url to obtain data about user thanks to OIDC Authentification. All users data must be return by the API and platform have to take OIDC Token into account to identify and authentify user. Those data contains sufficient data to get all other data linked to user as product, offers and all class defined in [Business Ontology](/dfc-standard-documentation/dfc-use-cases/semantic-specifications/business-ontology.md).

This API have to implement [technical specification](/dfc-standard-documentation/dfc-use-cases/technical-specifications.md) (LDP, OIDC,Ontologies...). [Example](/dfc-standard-documentation/dfc-use-cases/appendixes/practical-examples/version-1.5.1.md) API is designed for this use.

Platform have to contact DFC to add this url to be inclued in the Consortium.

## Prototype

### link

Main usage of DFC server is to provide identifier reconciliation of platforms included in consortium. A non LDP API provides this feature to platform : "What are identifiers (uri) of data in others platforme from my uri".

```
https://server/link/myPlatformDataUri
```

Result of this API use [Technical Ontology](/dfc-standard-documentation/dfc-use-cases/semantic-specifications/technical-ontology.md) whith pivot.

```
{
    @id : myPlatformDataUri,
    host : {
        @id : myPlatformUri,
        label : my platform
    }
    pivot : {
        @id : pivotUri,
        represents : [
            {
                @id : otherPlatformDataUri1,
                host : {
                    @id : otherPlatformUri1,
                    label : other platform 1
                }
            },
            {
                @id : otherPlatformDataUri2,
                host : {
                    @id : otherPlatformUri2,
                    label : other platform 2
                }
            }
        ]
    }
}
```

### linkSimple

This more compact and more Simple API compute link API to standard sameAs predicates.

```
https://server/linkSimple/myPlatformDataUri
```

```
{
    @id : myPlatformDataUri,
    owl:sameAs : [
        otherPlatformDataUri1,
        otherPlatformDataUri2
    ]
}
```

### my-data

Return prototype data of a platform data. owl:sameAs added to platform provided data

```
https://server/my-data/myPlatformDataUri
```

```
{
	@id": myPlatformDataUri,
	predicate : value
	owl:sameAs: [
	        otherPlatformDataUri1,
	        otherPlatformDataUri2
	]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dfc-standard.org/dfc-standard-documentation/dfc-use-cases/technical-specifications/non-ldp-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
